document.getElementById("berechne").addEventListener("click", berechneBMI);

function berechneBMI() {

    var groesse = document.getElementById("groesse").valueAsNumber;
    var gewicht = document.getElementById("gewicht").valueAsNumber;
    var bmi;

    bmi = gewicht / (groesse * groesse);

    document.getElementById("bmi").value = bmi.toFixed(2);
    
    bewertung(bmi);
}

function bewertung(bmi) {

    var bemerkung = "";
    var unter16 = document.getElementById("alter").checked;

    if( unter16 ){

        if( bmi < 17 ) {
        
            bemerkung = "Dieser Wert liegt unterhalb des Normgewichts.";
        }
        else if( bmi < 25 ) {
    
            bemerkung = "Der Wert liegt im Normbereich."
        }
        else {
    
            bemerkung = "Der Wert liegt im Bereich Übergewichtig."
        }
    }

    else {

        if( bmi < 18.5 ) {
        
            bemerkung = "Dieser Wert liegt unterhalb des Normgewichts.";
        }
        else if( bmi < 25 ) {
    
            bemerkung = "Der Wert liegt im Normbereich."
        }
        else {
    
            bemerkung = "Der Wert liegt im Bereich Übergewichtig."
        }
    }

    document.getElementById("bemerkung").value = bemerkung;
}